[arch-commits] Commit in nasm/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 9 14:36:45 EST 2009


    Date: Wednesday, December 9, 2009 @ 14:36:45
  Author: giovanni
Revision: 60940

Merged revisions 60939 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/nasm/trunk

........
  r60939 | giovanni | 2009-12-09 11:35:27 -0800 (mer, 09 dic 2009) | 2 lines
  
  upgpkg: nasm 2.07-1
      upstream release
........

Modified:
  nasm/repos/extra-i686/	(properties)
  nasm/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)


Property changes on: nasm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /nasm/trunk:1-18747
   + /nasm/trunk:1-60939

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-09 19:35:27 UTC (rev 60939)
+++ extra-i686/PKGBUILD	2009-12-09 19:36:45 UTC (rev 60940)
@@ -3,19 +3,20 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=nasm
-pkgver=2.05.01
+pkgver=2.07
 pkgrel=1
 pkgdesc="80x86 assembler designed for portability and modularity"
 url="http://nasm.sourceforge.net"
 license=('LGPL')
 arch=('i686' 'x86_64')
 depends=('glibc')
-source=(http://downloads.sourceforge.net/nasm/nasm-${pkgver}.tar.bz2)
-md5sums=('da4977f6d9d9b8f00527f2c62109453b')
+source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('d8934231e81874c29374ddef1fbdb1ed')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
   ./configure --prefix=/usr || return 1
   make || return 1
-  make INSTALLROOT=${pkgdir} install || return 1
+  make INSTALLROOT="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list